# -*- coding: utf-8 -*-
""" db_widgets

	Customize forms and grids widgets
	$Id$
	
"""
from datetime import datetime
pgm = local_import('plugin_dbui')

# customize field in form
pgm.customize_field('publications', 'year', maxValue=datetime.now().year)

# add fieldset to form
fields = ['title',
		  'authors',
		  'id_collaborations',
		  'id_publishers',
		  'year',
		  'volume',
		  'first_page',
		  'last_page',
		  'e_print']

pgm.customize_form_with_field_set('publications', 'General', fields, 
															 collapsible=True,
															 flex=1,
															 defaults={'anchor': '100%'},
#															 rowspan=2,
            											)

fields = ['conference_title',
		  'conference_url',
 		  'conference_start',
		  'conference_end',
	 	  'conference_town',
	 	  'id_countries',
 	 	  'conference_speaker']

pgm.customize_form_with_field_set('publications', 'Conference', fields,
												 				collapsible=True,
																flex=1,
												 				defaults={'anchor': '100%'}
												 			)


fields = ['authors_cppm',
		  'id_teams',
	      'id_categories_commission',
	   	  'id_categories_aeres']

pgm.customize_form_with_field_set('publications', 'CPPM', fields,
												 		  collapsible=True,
												 		  flex=1,
												 		  defaults={'anchor': '100%'}
												 		)

fields = ['report_numbers']
pgm.customize_form_with_field_set('publications', 'Rapport', fields,
												             collapsible=True,
												 			 flex=1,
												 			 defaults={'anchor': '100%'}
												 			)


pgm.customize_form('publications',
					buttonAlign='right', 
					labelWidth=100,
				    labelAlign='right',
#				    layout={'type': 'hbox', 'padding': 0, 'align': 'stretchmax'},
					layout={'type': 'table', 'columns': 2},
				    layoutConfig={'tableAttrs': {'style': {'width': '100%', 'cellspacing': 10, 'VALIGN': 'top'}}},
#				    layoutConfig={'columns': 2},
#				    default={'anchor': '100%'},
#					width=700,
#					anchor='100%'
				    )


pgm.customize_grid(plugins=['pGridRowEditorContextMenu',
						    'pGridPagingBar',])


# add template column to grid

tpl = ['{PublicationsTitle}<br>',
	   '{PublicationsAuthors}',
	   '<tpl if="PublicationsId_collaborations  &gt; 1">, {CollaborationsCollaboration}</tpl>',
	   '<tpl if="PublicationsId_publishers  &gt; 1"><br>{PublishersAbbreviation}',
	       '<tpl if="PublicationsVolume"> {PublicationsVolume}</tpl>',
	   	   '<tpl if="PublicationsYear"> ({PublicationsYear}) </tpl>',
	   	   '<tpl if="PublicationsFirst_page"> {PublicationsFirst_page}</tpl>',
	   	   '<tpl if="PublicationsLast_page">-{PublicationsLast_page}</tpl>',
	   '</tpl>',
	   '<tpl if="PublicationsE_print"><br>{PublicationsE_print}</tpl>',
	   ]

hidden = ['title', 
		  'authors', 
		  'id_collaborations', 
		  'id_publishers', 
		  'volume', 
#		  'year', 
		  'first_page',
		  'last_page',
		  'e_print']

pgm.customize_grid_with_template_column('publications', 'publication', tpl, 
									                                   1, 
									                                   hidden,
									                                   sortable=True,
									                                   width=300)

tpl = ['<tpl if="PublicationsConference_title">{PublicationsConference_title}',
	       '<tpl if="PublicationsConference_town"><br>{PublicationsConference_town}',
	       '<tpl if="CountriesCountry">, {CountriesCountry}</tpl>',
	   	   '<tpl if="PublicationsConference_start"><br>{PublicationsConference_start}</tpl>',
	   	   '<tpl if="PublicationsConference_end"> - {PublicationsConference_end}</tpl>',
	       '<tpl if="PublicationsConference_url"><br>{PublicationsConference_url}</tpl>',
	   	   '<br>%s: {PublicationsConference_speaker}' % T('Speaker'),
	   '</tpl>',
	   ]

hidden = ['conference_title',
		  'conference_url',
		  'conference_start',
		  'conference_end',
		  'conference_town',
		  'id_countries',
		  'conference_speaker'
		  ]

pgm.customize_grid_with_template_column('publications', 'conference', tpl, 
									                                  3, 
									                                  hidden,
									                                  sortable=True,
									                                  width=300)

# hide some table in the main view port
pgm.hidden_tables('publishers', 
				  'categories_aeres',
				  'categories_commission',
#				  'collaborations',
				  'countries',
#				  'teams',
				  'projects',
				  'publishers')