/**
 * appbase.js
 * 
 * Constants and elementary functions to buit an application
 * 
 * $Id$
 * 
 */

Ext.namespace('App');

/**
 * @cfg {String} App.name
 * Name of the web application.
 * This constants is defined by the server.
 */

/**
 * @cfg {Boolean} App.debug
 * Activate the debug mode on the server side.
 * This constants is defined by the server.
 *  
 */

/**
 * @cfg {String} App.dburl
 * Define the url of the database router/controller
 * This constants is defined by the server.
 */
App.dburl = '/' + App.name + '/plugin_dbui/database';

/**
 * @cfg {Object} App.cfgSvcMethods 
 * Ext.direct.Provider exposing methods for a web service.
 * This constants is defined by the server.
 */

App.cfgSvcMethods = {
	"url": '/' + App.name + '/plugin_dbui/configuration',
	"type":"remoting",
	"actions": {
		"cfgSvc": [{'name': 'getFormModel', 'len': 1}, 
				   {'name': 'getGridModel', 'len': 1}, 
				   {'name': 'getTables', 	'len': 0}]
	}
};


