/**
 * The row editor toolbar plugin
 *
 * Add a toolbar to the grid with button to manipulate the App.grid.RowEditor.
 * The latter is instantiated if not already create.
 * 
 * The ptype of this component is pGridRowEditorToolbar.
 *  
 * @version $Id$
 * 
 */
Ext.namespace('App.grid');

App.grid.RowEditorToolbar = Ext.extend(Object, {

	init: function(grid){

		// create and initialize the underlying RowEditor		
		if (!grid.editor){
			grid.editor = new App.grid.RowEditor({
				formModel: grid.model.formModel,
				table: grid.model.table,
			});
			
			grid.editor.init(grid);
		}
		
		var toolbar = grid.getTopToolbar();
		
		toolbar.add([{
            text: 'Add',
            iconCls: 'silk-add',
            handler: grid.editor.onAddRow,
			scope: grid.editor
        }, ' ', {
            text: 'Delete',
            iconCls: 'silk-delete',
            handler: grid.editor.onDeleteRow,
			scope: grid.editor
		}, ' ', {
			text: 'Duplicate',
            iconCls: 'silk-clone',
            handler: grid.editor.onDuplicateRow,
			scope: grid.editor
		}, ' ', {
            text: 'Update',
            iconCls: 'silk-update',
            handler: grid.editor.onEditRow,
			scope: grid.editor
		}, ' ', {
            text: 'View',
            iconCls: 'silk-view',
            handler: grid.editor.onViewRow,
			scope: grid.editor
        }, '-']);
	},
});

Ext.preg('pGridRowEditorToolbar', App.grid.RowEditorToolbar);
