/**
 * Configuration files to defined an application viewport:
 * 
 * 		App.viewport.cfg.withTreeAndTabPanels:
 * 
 * 			A viewport with a tree panel and a tab panel.
 * 			
 * 			The tree panel is referenced as treePanel 
 * 			and the tab panel as tabPanel. These panels can therefore
 * 			be accessed via the property this.treePanel ....
 *			
 *          The name of the root node of the tree is App.name
 *          It is not visible.
 *          
 *			The plugin App.viewport.InTreePanel can be used 
 *			with this object.
 * 
 * @author legac
 * @version $Id$
 */
Ext.namespace('App.viewport.cfg');


App.viewport.cfg.withTreeAndTabPanels = {
	layout: 'border',
	title: 'Ext Layout Browser',
	items: [
		{
			region: 'west',
			title: App.name,
			width: 200,
			collapsible: true,
			autoScroll: true,
			split: true,
			xtype: 'treepanel',
			rootVisible: false,
			root: new Ext.tree.TreeNode({
				id: App.name,
				text: App.name,
			}),
			ref: 'treePanel',
		}, {
			region: 'center',
			xtype: 'tabpanel',
			ref: 'tabPanel',
			autoScroll: true,
			defaults: {layout: 'fit'},
		}
	],
};
