/**
 * grid_1.js
 *
 * To test and debug grid widget -- the simplest case
 * $Id: grid_1.js -1   $
 *
 */
Ext.namespace('App.grid');

/**
 * main function
 */

var main = function(provider, response){

	var model = response.result.model;
	
//	console.log("Model");
//	console.dir(model);
	
	// Create a filter
	var myfilters = new Ext.ux.grid.GridFilters({
		encode: true,
		local: true,
		filters: [{
			type: 'numeric',
			dataIndex: 'id'
		}, {
			type: 'string',
			dataIndex: 'version',
			disabled: false
		},{
			type: 'string',
			dataIndex: 'note',
			disabled: false
		}, {
			type: 'date',
			dataIndex: 'date',
			disabled: false
		}],
	});

//	console.dir(filters);
	
	// instantiate the grid	
	var grid = new App.grid.Grid({
		model: model,
		loadMask: true,
		plugins: [myfilters],
//		plugins: ['pGridRowEditorToolbar', 'pGridRowEditorContextMenu'],
	});
	
	grid.render('appmain');
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request grid models from the server
	cfgSvc.getGridModel('distributions', main)
//	cfgSvc.getGridModel('rpms', main)

});